/*
** Module   : MenuElementConfig.java
** Abstract : menu widget attribute container.
**
** Copyright (c) 2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------------------Description-----------------------------
** 001 VIG 20150120          Created initial version. 
*/
package com.goldencode.p2j.ui;


/**
 * MENU element configuration container interface.
 */
public interface MenuElementConfig
{
   /**
    * Returns parent component ID.
    * 
    * @return  ID of parent element (sub-menu or menu)
    */
   int parentId();
}
